package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.UserInfo;

/**
 * user_info Dao接口
 * Tue Apr 17 10:32:49 CST 2018  Suo Chen Cheng
 */
@Repository("com.izouma.awesomeadmin.dao.UserInfoMapper")
public interface UserInfoMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserInfo record);

    UserInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserInfo record);

    List<UserInfo> queryAllUserInfo(UserInfo record);

    List<UserInfo> queryUserInfosByPage(Map<String, Object> parameter);

    int delete(String id);

    UserInfo queryUserInfo(UserInfo record);

    UserInfo querySingleUserInfo(UserInfo record);

    UserInfo login(Map<String, Object> parameter);
}

